package speiger.src.coreengine.utils.functions;

import java.util.function.Consumer;
import java.util.function.ObjIntConsumer;

public class ConsumerConverter<T> implements Consumer<T>
{
	int value;
	ObjIntConsumer<T> receiver;
	
	public ConsumerConverter(int value, ObjIntConsumer<T> listener) {
		this.value = value;
		receiver = listener;
	}
	
	@Override
	public void accept(T t) {
		receiver.accept(t, value);
	}
}
